## org.apache.batik.gvt.event
Interface GraphicsNodeKeyListener

All Superinterfaces:
  java.util.EventListener

All Known Subinterfaces:
  Selector

All Known Implementing Classes:
  BridgeEventSupport.Listener, ConcreteTextSelector, GraphicsNodeKeyAdapter

public interface GraphicsNodeKeyListener
extends java.util.EventListener

The listener interface for receiving graphics node key events.

Method Summary
`void` `keyPressed(GraphicsNodeKeyEvent evt)` Invoked when a key has been pressed.
`void` `keyReleased(GraphicsNodeKeyEvent evt)` Invoked when a key has been released.
`void` `keyTyped(GraphicsNodeKeyEvent evt)` Invoked when a key has been typed.

Method Detail

### keyPressed

    public void keyPressed(GraphicsNodeKeyEvent evt)

  Invoked when a key has been pressed.

  Parameters:
    `evt` - the graphics node key event

### keyReleased

    public void keyReleased(GraphicsNodeKeyEvent evt)

  Invoked when a key has been released.

  Parameters:
    `evt` - the graphics node key event

### keyTyped

    public void keyTyped(GraphicsNodeKeyEvent evt)

  Invoked when a key has been typed.

  Parameters:
    `evt` - the graphics node key event

Copyright © 2004 Apache Software Foundation. All Rights Reserved.